#include "descriptor/descriptor.h"

int main(void) {
	ITEM aerofantasy;
	ITEM bianco, giallo, rosso, blu, grigio;
	ITEM nave, motori, attacchi, radar, sfondopost, sfondolat, motoripost, attacchipost, finestre;


	set_background(0,0,0.1,TRUE);
	set_ambient_light(1,1,1,0.7);

	create_point_light(75,13,8, 1,1,1, 10, 50, "light1");
	create_point_light(-20.486,-7.602,19.625, 1,1,1, 5, 150, "light2");


	bianco = create_attribute("bianco");
	set_color(bianco,1,1,1,0.1,0.8);
	set_reflectivity(bianco,0.3,2);

	giallo = create_attribute("giallo");
	set_color(giallo,0.68,0.86,0.1,0.5,0.5);
	set_reflectivity(giallo,0.24,2);

	rosso = create_attribute("rosso");
	set_color(rosso,1,0,0.5,0.5,0.5);
	set_reflectivity(rosso,0,10);

	blu = create_attribute("blu");
	set_color(blu,0,0,1,0.5,0.5);
	set_reflectivity(blu,0.4,9);

	grigio = create_attribute("grigio");
	set_color(grigio,0.4,0.4,0.4,0.5,0.5);
	set_reflectivity(grigio,0.3,2);

	nave = read_obj("nave.obj", "nave");
	motori = read_obj("motori.obj", "motori");
	attacchi = read_obj("attacchi.obj", "attacchi");
	radar = read_nurbs("radar3d.db");
	motoripost = read_obj("motoripost.obj", "motoripost");
	attacchipost = read_obj("attacchipost.obj", "attaccipost");
	finestre = read_obj("finestre.obj", "finestre");

	sfondopost = read_nurbs("lungo.db");
	sfondolat = read_nurbs("corto.db");

	set_projection_texture(sfondopost,blu,"textures/sfondo1.hr",1,1,0.6,0.8);
	set_translate(sfondopost,0,-140,140);
	set_scale(sfondopost,5,1,5);
	set_x_rotate(sfondopost, -45, 1);

	set_projection_texture(sfondolat,blu,"textures/sfondo1.hr",0,1,0.6,0.8);
	set_scale(sfondolat,1,5,5);
	set_translate(sfondolat,-500,-500,0);


	set_attribute(nave, grigio);
	set_attribute(motori, giallo);
	set_attribute(attacchi, rosso);
	set_attribute(radar, bianco);
	set_attribute(motoripost, giallo);
	set_attribute(attacchipost, rosso);
	set_attribute(finestre, blu);

	aerofantasy = create_list(nave, "aerofantasy");
	aerofantasy = insert_in_list(aerofantasy, motori);
	aerofantasy = insert_in_list(aerofantasy, attacchi);
	aerofantasy = insert_in_list(aerofantasy, radar);
   aerofantasy = insert_in_list(aerofantasy, sfondopost);
	aerofantasy = insert_in_list(aerofantasy, sfondolat);
	aerofantasy = insert_in_list(aerofantasy, motoripost);
	aerofantasy = insert_in_list(aerofantasy, attacchipost);
	aerofantasy = insert_in_list(aerofantasy, finestre);

	save_scene("aerofantasy.md", "Aerofantasy", aerofantasy);

	return(0);

}
